Webhooks
Manage webhook endpoints and inspect delivery attempts. Dashboard-session endpoints.
Create a webhook
POST /webhooks
| Field | Type | Description |
|---|---|---|
| urlrequired | string | Your HTTPS endpoint. |
| eventsrequired | string[] | Any of email.sent, email.delivered, email.bounced, email.complained, email.opened, email.clicked, email.scheduled, email.canceled, email.suppressed, email.delivery_delayed, email.failed, email.received, contact.created, contact.updated, contact.deleted, domain.created, domain.verified, domain.deleted. |
Response
{"id": "wh_...", "url": "...", "events": [...],
"signing_secret": "whsec_...", "enabled": true, "created_at": "..."}List / toggle / delete
GET /webhooks
PATCH /webhooks/:id?enabled=false
DELETE /webhooks/:id
Delivery log
GET /webhooks/:id/deliveries
The 50 most recent deliveries with event_type, response_status, success, and attempts.
Payload format and signature verification are covered in the Webhooks guide.